<?

/**
 * A simple CLI interface to get a list of document
 *    $date = [something in US format: mm/dd/yy]
 *    $newdate = substr($date,6,2) . "-" . substr($date,0,2) . "-" substr($date,3,2);
 *    $query = "SELECT headline, description, link_name, DATEFORMAT(start_date, '%d.%m.%y') as start, DATEFORMAT(end_date, '%d.%m.%y') as end FROM dates_directaction ORDER BY start_date";
 *     2012-03-29
 */

require_once("/opt/dpp-appserver/src/required.php");

$date  = $_GET["date"] ;
$appid = $_GET["app"] ;
$status = $_GET["status"] ;
$query = "";
//$c1 = substr($date,5,2);
//$c2 = substr($date,8,2);
//$c3 = substr($date,0,4);
//$datestring = $c1 . "-" . $c2 . "-" . $c3;
//$dfrom = mktime( 0, 0, 0,intval(substr($date,5,2)),intval(substr($date,8,2)),intval(substr($date,0,4)));
//$dto   = mktime(23,59,59,intval(substr($date,5,2)),intval(substr($date,8,2)),intval(substr($date,0,4)));

$dfrom = $date . " 00:00:00";
$dto   = $date . " 23:59:59";

//$return = "" ;
//echo intval(substr($date,5,2)) . "\n";
//echo intval(substr($date,8,2)) . "\n";
//echo intval(substr($date,0,4)) . "\n";


$return = "date:" . $date . "\n" . "timestamp1:" . $dfrom . "\n" . "timestamp2:" . $dto . "\n" ;

$query .= " SELECT Doc.id AS doc_id, Doc.name AS doc_name, Doc.  pen_id AS pen_id, MAX(Changeset.created_date) AS created_date ";
$query .= " FROM Doc, Changeset, App, Page, Pagediff ";
$query .= " WHERE Changeset.doc_id = Doc.id";
$query .= " AND Doc.app_id = App.id ";
$query .= " AND Page.doc_id = Doc.id ";
$query .= " AND Pagediff.changeset_id IS NULL ";
$query .= " AND Pagediff.page_id = Page.id";
if(isset($date))
        //$query .= " AND Doc.id NOT IN (SELECT tbl.doc_id FROM (SELECT doc_id, MAX(created_date) FROM Changeset WHERE created_date BETWEEN CAST('" . $dfrom . "' as DATETIME) AND CAST('" . $dto . "' as DATETIME) GROUP BY doc_id) AS tbl) ";
        $query .= " AND Doc.id NOT IN (SELECT tbl.doc_id FROM (SELECT doc_id, MAX(created_date) FROM Changeset WHERE created_date = CAST('" . $date . "' as DATETIME) GROUP BY doc_id) AS tbl) ";
        $return .= "datefilter\n";
if(isset($appid))
        $query .= " AND App.id = $appid ";
        $return .= "appfilter\n";
if(isset($status))
        $query .= " AND Doc.status = '$status' ";

$query .= " GROUP BY Doc.id ";
$query .= " ORDER BY MAX(Changeset.created_date)";
//$query .= " ORDER BY Doc.name";

$dbFactory = new DBFactory();
$db = $dbFactory->createDB();

$db->query($query);

//echo "query:" . $query . "\n";

while($row = $db->fetchRow())
 {
        $return .= $row["created_date"] . " | ";
        $return .= $row["pen_id"] . " | ";
        $return .= $row["doc_name"] . " | ";
        $return .= $row["doc_id"] . "\n";
}
echo $return;
?>
